Developement Guide
==================

Getting Started
---------------
* [Overview](overview.md)
* [Development Environment](environment.md)
* [Coding Standards](coding-standards.md)

Module Developement
---------------
* [Getting Started](modules.md)
* [Database and Models](modules.md)
* [Module Migration Guide](modules-migrate.md)
* [Asset Management](assets.md)
* [Change core behavior](module-change-behavior.md)
* [Embedded Themes](embedded-themes.md)
* [Module Updates](migration.md)

Basic Concepts
------------------
* [Content](content.md)
* [Streams](stream.md)
* [Events](events.md)
* [Settings and Configuration](settings.md)
* [Models / Database](models.md)
* [Permissions](permissions.md)
* [Notifications](notifications.md)
* [Activities](activities.md)
* [File Handling](files.md)
* [Widgets](widgets.md)
* [Snippets](snippet.md)
* [Internationalization](i18n.md)

Javascript API
------------------
 * [Modules](javascript-index.md)
 * [Components](javascript-components.md)
 * [Additions](javascript-components.md)
 * [Actions](javascript-actions.md)
 * [Client](javascript-client.md)
 * [Events](javascript-events.md)
 * [Widgets](javascript-widgets.md)
 * [Pjax](javascript-pjax.md)

Advanced Topics
--------------
* [HumHub Build](build.md)
* [Authentication](authentication.md)
* [Events](events.md)
* [Live Updates](live.md)
* [Search](search.md)
* [Security](security.md)
* [Console Application](console.md)


